Pull request: https://github.com/theforeman/foreman/p
Description

Related issues:

Related to Foreman - Bug #7594: extract params defined in apipie documentatio... Closed

Related to Foreman - Bug #7568: Use attr_accessible for rails 4 upgrade Closed 09/22/2014

Related to Katello - Feature #15741: Use parameter_filter instead of attr_acc... Closed 07/19/2016

Related to Discovery - Refactor #15750: Add strong parameters to Discovery Pl... Closed 07/20/2016

Related to Docker - Feature #15888: Remove calls to attr_accessible Closed 07/28/2016

Related to Foreman - Bug #15951: host's interfaces_attributes compute_attribu... Closed 08/03/2016

Related to Salt - Bug #15958: Move to using strong parameters Closed 08/03/2016

Related to Foreman Remote Execution - Bug #16002: move to strong parameters Closed 08/05/2016

Related to Foreman - Bug #16025: Import subnets from proxy returns 500 Closed 08/09/2016

Related to OpenSCAP - Bug #16096: Remove attr_accessible from models Closed 08/12/2016

Related to Foreman - Bug #16264: Template combinations cannot be created Closed 08/24/2016

Related to Foreman - Bug #16376: required flag not set from puppetclass Closed 08/30/2016

Related to Foreman - Bug #16578: Resolve templates button throws undefined me... Closed 09/16/2016

Related to Foreman - Bug #17170: NIC page does not reload when Bond is selected Closed 11/01/2016

Related to Foreman - Bug #17300: Attached devices not saved when editing bond... Closed 11/09/2016

Related to Foreman - Bug #19417: keep_params throws error if params don't con... Closed 04/27/2017

Related to Foreman - Feature #22285: Present error message when passing integ... New

Is duplicate of Foreman - Bug #1519: rails security problem Duplicate 03/06/2012

Blocks Foreman - Tracker #15715: Rails 5.0 upgrade tasks Resolved 07/18/2016

Associated revisions

Revision 12612809 - 07/29/2016 05:58 AM - Dominic Cleal

fixes #3917 - replace protected_attrs with strong parameters

Filtering of attributes has moved from the protected_attributes gem to

strong parameters in controller concerns, to be in line with current

Rails recommendations.

Concerns are shared between UI and both API controllers and list the

attributes using Foreman::ParameterFilter, which provides additional

features:

1. Registration of additional attributes from plugins, through the

plugin API or `attr_accessible` for short term compatibility.

2. Re-use of permitted attribute lists for nested models (e.g. host

and interface).

3. Combining of lists of attributes from all sources in a single

permit call.
4. A small DSL for changing accepted parameters based on controller,

action and UI/API type.

Plugins should either temporarily depend on protected_attributes to

continue to protect their models or call permit/use ParameterFilter

similarly: http://projects.theforeman.org/projects/foreman/wiki/Strong_parameters

Some UI changes were required to make nested model hash keys all

integers instead of "new_123456" etc, else strong parameters would

filter the entries out.

The Role model's builtin default has been moved from initialize to the

database as the removal of protected_attrs changed the initialisation

order.

Revision 87526d1e - 08/04/2016 07:39 AM - Dominic Cleal

refs #3917 - remove protected_attributes requirement

History

#1 - 01/02/2014 02:38 PM - Dominic Cleal

https://github.com/theforeman/foreman/pull/1102 for background.

#2 - 04/11/2014 03:32 PM - David Davis

- Subject changed from Add strong_parameters gem to foreman to Add strong_parameters to foreman

#3 - 04/11/2014 03:32 PM - David Davis

- Assignee deleted (David Davis)

#4 - 09/18/2014 03:16 AM - Ohad Levy

- Blocks Feature #7512: upgrade to rails 4.x added

#5 - 09/18/2014 03:19 AM - Ohad Levy

- Is duplicate of Bug #1519: rails security problem added

#6 - 09/18/2014 03:19 AM - Ohad Levy

- Status changed from New to Duplicate

#7 - 09/18/2014 03:20 AM - Ohad Levy

- Status changed from Duplicate to New

#8 - 09/18/2014 03:20 AM - Ohad Levy

- Category set to Rails

#9 - 09/18/2014 03:23 AM - Ohad Levy

- Blocks Tracker #3157: Rails 4.1 upgrade tasks added

#10 - 09/18/2014 03:26 AM - Ohad Levy

- Blocks deleted (Feature #7512: upgrade to rails 4.x)

#11 - 09/22/2014 08:43 AM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#12 - 09/22/2014 09:05 AM - Shlomi Zadok

- Status changed from New to Assigned

#13 - 09/23/2014 09:29 AM - Joseph Magen

- Related to Bug #7594: extract params defined in apipie documentation to use for strong parameters added

#14 - 10/01/2014 07:50 AM - Ohad Levy

- translation missing: en.field_release set to 21
#15 - 10/04/2014 03:53 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.2

- Pull request https://github.com/theforeman/foreman/pull/1819 added

- Pull request deleted ()

#16 - 10/04/2014 04:13 PM - David Davis

- Related to Refactor #7816: Refactor code now that foreman has strong_params added

#17 - 10/04/2014 04:17 PM - David Davis

- Related to deleted (Refactor #7816: Refactor code now that foreman has strong_params)

#18 - 10/04/2014 04:17 PM - David Davis

- Blocks Refactor #7816: Refactor code now that foreman has strong_params added

#19 - 10/05/2014 02:33 PM - David Davis

- Blocks deleted (Refactor #7816: Refactor code now that foreman has strong_params)

#20 - 10/28/2014 05:22 AM - Dominic Cleal

- translation missing: en.field_release deleted (21)

#21 - 05/29/2015 08:15 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Shlomi Zadok)

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1819)

#22 - 07/02/2015 12:22 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2509 added

- Pull request deleted ()

#23 - 11/20/2015 06:24 AM - Dominic Cleal

- Related to Bug #7568: Use attr_accessible for rails 4 upgrade added

#24 - 12/18/2015 05:16 AM - Dominic Cleal

- Blocks deleted (Tracker #3157: Rails 4.1 upgrade tasks)

#25 - 01/04/2016 04:25 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/2509)

PR was closed.

#26 - 07/06/2016 03:49 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

- Target version deleted (1.7.2)

#27 - 07/18/2016 04:22 AM - Dominic Cleal

- Blocks Tracker #15715: Rails 5.0 upgrade tasks added

#28 - 07/19/2016 09:13 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3659 added

#29 - 07/19/2016 01:15 PM - David Davis

- Related to Feature #15741: Use parameter_filter instead of attr_accessible added

#30 - 07/20/2016 03:21 AM - Lukas Zapletal

- Related to Refactor #15750: Add strong parameters to Discovery Plugin added

#31 - 07/28/2016 12:52 PM - David Davis

- Related to Feature #15888: Remove calls to attr_accessible added

#32 - 07/29/2016 06:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 12612809c5deb885b13ceaf36b6a147c21688eb5.

#33 - 07/29/2016 07:19 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#34 - 08/03/2016 02:38 AM - Timo Goebel

- Related to Bug #15951: host's interfaces_attributes compute_attributes not passed to vm added

#35 - 08/03/2016 10:22 AM - Stephen Benjamin

- Related to Bug #15958: Move to using strong parameters added

#36 - 08/05/2016 08:13 PM - Anonymous

- Related to Bug #16002: move to strong parameters added

#37 - 08/11/2016 09:53 AM - Dominic Cleal

- Related to Bug #16025: Import subnets from proxy returns 500 added

#38 - 08/12/2016 10:40 AM - Ondřej Pražák

- Related to Bug #16096: Remove attr_accessible from models added

#39 - 08/24/2016 06:13 AM - Dominic Cleal

- Related to Bug #16264: Template combinations cannot be created added

#40 - 08/30/2016 04:56 AM - Dominic Cleal

- Related to Bug #16376: required flag not set from puppetclass added

#41 - 09/16/2016 06:11 AM - Dominic Cleal

- Related to Bug #16578: Resolve templates button throws undefined method `[]' for nil:NilClass on image hosts added

#42 - 11/03/2016 11:47 AM - Dominic Cleal

- Related to Bug #17170: NIC page does not reload when Bond is selected added

#43 - 11/10/2016 10:23 AM - Dominic Cleal

- Related to Bug #17300: Attached devices not saved when editing bond network interfaces added

#44 - 05/03/2017 04:10 AM - Tomer Brisker

- Related to Bug #19417: keep_params throws error if params don't contain top level hash added

#45 - 01/23/2018 09:08 AM - Tomer Brisker

- Related to Feature #22285: Present error message when passing integer when array expected for API call added
